var e;
(e = getApp()),
  Page({
    data: { data: "" },
    onLoad: function (e) {},
    onShow: function (t) {
      e.appdengl();
      var o = this;
      e.getdata("", "getset").then((e) => {
        console.log(e.data), o.getvip(e.data.gzh_appid);
      });
    },
    getvip: function (e) {
      console.log(wx.getStorageSync("uid")),
        wx.getStorageSync("uid")
          ? (console.log(wx.getStorageSync("uid")),
            this.setData({
              footerLink:
                "https://open.weixin.qq.com/connect/oauth2/authorize?appid=" +
                e +
                "&redirect_uri=https://api.ym23.com/addons/monai_market/api/dygzh.php?uid=" +
                wx.getStorageSync("uid") +
                "&response_type=code&scope=snsapi_userinfo&state=STATE#wechat_redirect",
            }))
          : wx.showModal({
              title: "温馨提醒",
              content: "使用本功能请先登录后在使用~",
              showCancel: !1,
              success: function (e) {
                e.confirm && wx.reLaunch({ url: "/pages/mine/index" });
              },
            });
    },
  });
